List Offers
Query Parameters
Response
Understanding Storage Fields
Get Offer
Example
Errors
404 not_found — Offer not found.Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Browse and search GPU offers.
GET /api/v1/offers
| Param | Type | Default | Description |
|---|---|---|---|
gpu | string | — | Comma-separated GPU slugs (e.g., h100-pcie-80gb,a100-pcie-80gb). See GPU Families for available slugs. |
continent | string | — | Comma-separated (currently only North America) |
min_gpu_count | int | — | Minimum GPU count per instance |
max_gpu_count | int | — | Maximum GPU count per instance |
sort_by | string | pricePerGpu | Sort field: pricePerGpu, priceHourly, gpuCount |
sort_order | string | asc | asc or desc |
page | int | 0 | Page number (0-indexed) |
size | int | 25 | Page size (max 100) |
{
"offers": [
{
"id": "3b101e48-fdd9-469a-b0b2-1d43438a3e9b",
"provider": {
"name": "QuantaCloud",
"slug": "quantacloud"
},
"gpu": {
"name": "NVIDIA RTX A6000",
"slug": "rtx-a6000",
"vramGB": 48,
"architecture": "Ampere"
},
"gpuCount": 1,
"region": "us-midwest-1",
"regionInfo": {
"countryCode": "US",
"countryName": "United States",
"cityState": "Midwest",
"continent": "North America"
},
"priceHourly": 0.48,
"pricePerGpu": 0.48,
"isAvailable": true,
"specs": {
"vcpu": 6,
"ram": 48,
"disk": 256
},
"storageCostPerGB": 0.0,
"storageMinGB": 256,
"storageMaxGB": 256,
"costDataComplete": true,
"deploymentType": "virtual",
"nvlinkEnabled": false,
"interconnect": null
}
],
"page": 0,
"totalPages": 24,
"totalElements": 72,
"hasMore": true
}
| Field | Description |
|---|---|
storageMinGB | Minimum disk size you can request |
storageMaxGB | Maximum disk size you can request |
storageCostPerGB | Hourly cost per GB of storage |
specs.disk | Included disk in GB |
storageMinGB equals storageMaxGB and storageCostPerGB is 0: the disk size is fixed and included with the instance. You don’t need to specify disk_gb when deploying.GET /api/v1/offers/{id}
curl https://core.quantacloud.net/api/v1/offers/3b101e48-fdd9-469a-b0b2-1d43438a3e9b
404 not_found — Offer not found.